import { registerAs, ConfigType } from '@nestjs/config'
import ms, { StringValue } from 'ms'

export const securityConfig = registerAs('security', () => ({
  jwt_access_secret: process.env.JWT_ACCESS_SECRET || 'JWT_ACCESS_SECRET',
  jwt_refresh_secret: process.env.JWT_REFRESH_SECRET || 'JWT_REFRESH_SECRET',
  expiresIn: ms((process.env.expiresIn || '15m') as StringValue),
  refreshIn: ms((process.env.refreshIn || '7d') as StringValue),
  bcryptSaltOrRound: Number(process.env.bcryptSaltOrRound) || 10,
}))

export type SecurityConfig = ConfigType<typeof securityConfig>
